package com.bcxin.backend.domain.snapshoots;

import com.bcxin.runtime.domain.snapshoots.FormSyncTargetConfigSnapshot;
import lombok.Data;

@Data
public class FormSyncTargetConfigCompositeSnapshot {
    private String mapKey;
    private FormSyncTargetConfigSnapshot targetConfig;

    public FormSyncTargetConfigCompositeSnapshot() {
    }

    public FormSyncTargetConfigCompositeSnapshot(String mapKey, FormSyncTargetConfigSnapshot targetConfig) {
        this.setTargetConfig(targetConfig);
        this.setMapKey(mapKey);
    }

    public static FormSyncTargetConfigCompositeSnapshot create(String mapKey, FormSyncTargetConfigSnapshot targetConfig) {
        return new FormSyncTargetConfigCompositeSnapshot(mapKey, targetConfig);
    }
}
